libsereal-decoder-perl (5.002+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.002+ds.
  * Refresh fix_typo.patch (offset).
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Feb 2023 18:33:31 +0100

libsereal-decoder-perl (5.001+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.001+ds.
  * Drop test dependency on libtest-memorygrowth-perl.
    These tests cause more grief than gain.
  * Refresh fix_typo.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Sep 2022 22:59:52 +0200

libsereal-decoder-perl (4.025+ds-1) unstable; urgency=medium

  * Team upload.
  * Add lintian override for upstream-metadata-missing-repository.
    The upstream repo contains more stuff and is not helpful.
  * Import upstream version 4.025+ds.
  * Update debian/upstream/metadata.
  * Refresh fix_typo.patch (offset).
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Jul 2022 00:45:28 +0200

libsereal-decoder-perl (4.023+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.023+ds.

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Feb 2022 17:14:46 +0100

libsereal-decoder-perl (4.022+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.022+ds.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Feb 2022 19:52:49 +0100

libsereal-decoder-perl (4.021+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.021+ds.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Feb 2022 16:55:09 +0100

libsereal-decoder-perl (4.020+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.020+ds.
  * Update build dependencies.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Feb 2022 02:20:44 +0100

libsereal-decoder-perl (4.019+ds-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 4.019+ds.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Feb 2022 23:36:35 +0100

libsereal-decoder-perl (4.018+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.018+ds.

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Aug 2020 14:00:44 +0200

libsereal-decoder-perl (4.017+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.017+ds.
  * Refresh fix_typo.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Jul 2020 18:30:56 +0200

libsereal-decoder-perl (4.014+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.014+ds.

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Jun 2020 02:48:50 +0200

libsereal-decoder-perl (4.012+ds-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ gregor herrmann ]
  * Import upstream version 4.012+ds.
  * Add new test dependency libtest-memorygrowth-perl.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Thu, 11 Jun 2020 18:05:11 +0200

libsereal-decoder-perl (4.011+ds-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.011+ds.
  * Update copyright/license term for miniz.{c,h}.
  * Refresh fix_typo.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Feb 2020 17:05:04 +0100

libsereal-decoder-perl (4.009+ds-1) unstable; urgency=medium

  * Team upload.

  [ Clément Hermann ]
  * Use system build dependencies instead of embedded modules in inc/

  [ gregor herrmann ]
  * Import upstream version 4.009+ds.
  * Declare compliance with Debian Policy 4.5.0.
  * Update Build-Depends for cross builds.
  * Annotate test-only build dependencies with <!nocheck>.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Feb 2020 16:42:43 +0100

libsereal-decoder-perl (4.007+ds-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Alexandre Mestiashvili ]
  * New upstream version 4.007+ds
  * Update uploader's email in d/control and d/copyright
  * Bump policy to 4.4.0, switch to debhelper-compat
  * Add patch fixing spelling

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 11 Jul 2019 21:05:55 +0200

libsereal-decoder-perl (4.005+ds-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Alexandre Mestiashvili ]
  * New upstream version 4.005+ds

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 10.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 24 Jan 2018 12:08:41 +0100

libsereal-decoder-perl (4.004+ds-1) unstable; urgency=medium

  * Exclude zstd/* via Files-Excluded option in d/copyright
  * Update d/watch, add +ds extension as we strip bundled zstd
  * New upstream version 4.004+ds
  * d/control:
    - bump Standards-Version to 4.1.1
    - add libzstd-dev, libtest-deep-perl, libtest-differences-perl
    - run wrap-and-sort
  * Set ENV variables in d/rules to use packaged libzstd-dev,
    doesn't seem to affect other bundled libs

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 16 Nov 2017 15:45:41 +0100

libsereal-decoder-perl (3.015-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Alexandre Mestiashvili ]
  * New upstream version 3.015
  * Bump Standards-Version
  * Remove trailing spaces in d/copyright
  * Enable hardening flags in d/rules

  [ gregor herrmann ]
  * debian/copyright: update copyright years for ppport.h.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 08 Sep 2016 16:16:05 +0200

libsereal-decoder-perl (3.014-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Dec 2015 15:28:02 +0100

libsereal-decoder-perl (3.008-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Nov 2015 15:01:25 +0100

libsereal-decoder-perl (3.006-1) unstable; urgency=medium

  * Team upload.
  * Drop override_dh_auto_test, debhelper runs tests verbosely since
    9.20150501.
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * New upstream release.
  * Drop URL for dev releases from debian/watch.
  * Make license names unique in debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Nov 2015 21:49:25 +0100

libsereal-decoder-perl (3.005.001-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 3.005.001
  * d/control: cme fix dpkg
  * d/copyright: updated debian/* copyright year

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 29 Apr 2015 10:48:57 +0200

libsereal-decoder-perl (3.003-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set SEREAL_USE_BUNDLED_LIBS=1 in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Oct 2014 18:24:15 +0200

libsereal-decoder-perl (3.002.001-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Sep 2014 14:11:41 +0200

libsereal-decoder-perl (3.002-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 26 Aug 2014 19:32:54 -0700

libsereal-decoder-perl (3.001.012-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 Aug 2014 02:05:48 +0200

libsereal-decoder-perl (3.001.011-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 12 Aug 2014 21:14:06 +0200

libsereal-decoder-perl (3.001.007-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Aug 2014 00:25:52 +0200

libsereal-decoder-perl (3.001.006-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    Rework bulk tests.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Aug 2014 23:18:47 +0200

libsereal-decoder-perl (3.001.005-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    Fix to run all tests again.

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Jul 2014 16:29:31 +0200

libsereal-decoder-perl (3.001.004-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    Further improvements for non-x86 architectures.

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Jul 2014 22:21:07 +0200

libsereal-decoder-perl (3.001.003-1) unstable; urgency=medium

  * Team upload.
  * New upstream development release.
    Further tweaks to alignedness issues.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Jul 2014 16:24:37 +0200

libsereal-decoder-perl (3.001.002-1) unstable; urgency=medium

  * Team upload.
  * New upstream development release.
    Addresses "endian or alignedness issues".

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Jul 2014 17:11:45 +0200

libsereal-decoder-perl (3.001-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches which were taken from upstream git.
  * debian/copyright: add information about new miniz.* files.
  * Add a Breaks on older versions of libsereal-encoder-perl.

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Jun 2014 13:14:30 +0200

libsereal-decoder-perl (2.12-3) unstable; urgency=medium

  * Team upload.
  * Add another patch from upstream git to fix arm* build failures.

 -- gregor herrmann <gregoa@debian.org>  Fri, 16 May 2014 15:57:33 +0200

libsereal-decoder-perl (2.12-2) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream git which is supposed to fix alignment issues
    on ARM which cause build failures in libsereal-encoder-perl.
  * debian/rules: make tests verbose.

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 May 2014 16:47:00 +0200

libsereal-decoder-perl (2.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop perl-path.patch, merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 May 2014 22:02:11 +0200

libsereal-decoder-perl (2.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop pod-syntax.patch, fixed upstream.
  * Add a patch to fix the perl path in const-c.inc.

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Apr 2014 21:09:36 +0200

libsereal-decoder-perl (2.08-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add a patch to fix an error in the POD syntax.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Apr 2014 17:32:02 +0200

libsereal-decoder-perl (2.06-1) unstable; urgency=medium

  * Imported Upstream version 2.06

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 19 Mar 2014 17:14:44 +0100

libsereal-decoder-perl (2.04-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 2.04

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 06 Mar 2014 17:48:36 +0100

libsereal-decoder-perl (2.03-1) unstable; urgency=medium

  * Imported Upstream version 2.03

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 10 Jan 2014 11:37:21 +0100

libsereal-decoder-perl (0.37-1) unstable; urgency=low

  * Imported Upstream version 0.37

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 16 Sep 2013 10:11:18 +0200

libsereal-decoder-perl (0.36-1) unstable; urgency=low

  * Imported Upstream version 0.36
  * Refreshed d/copyright to more accurately reflect the various copyright
    holders of code copied or inspired from elsewhere

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 14 May 2013 13:35:36 +0200

libsereal-decoder-perl (0.31-1) unstable; urgency=low

  * Initial Release. (Closes: #700998)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 20 Feb 2013 08:29:41 +0100
